Skip to main content
GET
Retrieve an Account's Effects
Supports StreamingThis endpoint supports streaming. To read more about this, visit the streaming section.

Path Parameters

account_id
string
required

This account’s public key encoded in a base32 string representation.

Example:

"GDMQQNJM4UL7QIA66P7R2PZHMQINWZBM77BEBMHLFXD5JEUAHGJ7R4JZ"

Query Parameters

cursor
integer

A number that points to a specific location in a collection of responses and is pulled from the paging_token value of a record.

Example:

6606617478959105

order
enum<string>

A designation of the order in which records should appear. Options include asc (ascending) or desc (descending). If this argument isn’t set, it defaults to asc.

Available options:
asc,
desc
limit
integer

The maximum number of records returned. The limit can range from 1 to 200 - an upper limit that is hardcoded in Horizon for performance reasons. If this argument isn’t designated, it defaults to 10.

Example:

10

Response

200 - application/json

Success

id
string
required
paging_token
string
required
transaction_successful
boolean
required
source_account
string
required
Pattern: G[A-Z0-9]{55}
type
string
required
Example:

"create_account"

type_i
number
required
Example:

0

created_at
string
required
transaction_hash
string
required
starting_balance
string
required
funder
string
required
Pattern: G[A-Z0-9]{55}
account
string
required
Pattern: G[A-Z0-9]{55}